Subject: Re: Interface between Cygwin and NT CMD Shell
From: Zhiguang Qian <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 19 Jun 2000 11:21:56 -0400

Hi,

Here is my situation.

I have any application which runs triggers on CMD shell (dos script). I have
unix shell scripts and want to use those unix shell scripts on NT. To do it
I use cygwin. What I did is to wrap "bash <my_unix_scripts>" in a DOS batch
file. Now I need the status of the unix script pass ing back to the
application.

Thanks.

Zhiguang Qian
Cisco Systems

Chris Faylor wrote:

> On Mon, Jun 19, 2000 at 09:54:07AM -0400, Zhiguang Qian wrote:
> >I'd like to know the interface between Cygwin and NT CMD shell. I am
> >working on a project integrating an application with NT using Cygwin
> >bash. I have to invoke cygwin bash to run boune shell scripts. What does
> >cygwin bash return to CMD shell? How to test the return from cygwin
> >bash?
> >
> >I think this is importent to know this interface because we'd like to
> >integrete cygwin with other developing tools.
>
> You are aware that the Cygwin library is GPLed, right?  That means that
> if you are developing a commercial application with cygwin you should
> contact [email-masked] unless you are planning on releasing
> GPLed applications.
>
> As far as what cygwin returns, since I'm not exactly sure what you're
> asking for, you'd probably be best served by inspecting the code and
> experimenting with simple test programs.
>
> cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]